Internal Server Error 500 after Activating In Multisite

I've got a sub domain based multisite install that i've been using for the last year without any issues.

I went to install this plugin, it activates fine, then I go to configure it and it give me a Internal Server Error 500.

Is there full compatibility with multisite? Is there a minimum wordpress version dependency?